org.apache.flume.channel.file

## Class BadCheckpointException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.flume.FlumeException
        - - org.apache.flume.channel.file.BadCheckpointException

- All Implemented Interfaces:
    Serializable

      public class BadCheckpointException
      extends FlumeException

  Exception thrown when the checkpoint directory contains invalid data, probably due to the channel stopping while the checkpoint was written.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadCheckpointException(String msg)`
    `BadCheckpointException(String msg, Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadCheckpointException

          public BadCheckpointException(String msg)

    - #### BadCheckpointException

          public BadCheckpointException(String msg,
                                Throwable t)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.